
package de.ivu.elect.business.wahl.control;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;

import de.ivu.elect.business.konfiguration.control.AbstractKonfigurationInit;
import de.ivu.elect.business.konfiguration.entity.Konfiguration;
import de.ivu.elect.business.konfiguration.entity.KonfigurationInitContext;
import de.ivu.elect.business.konfiguration.entity.MandantKonfigurationWerte;

public class MandantDokumentPlatzhalterKonfigurationInit extends AbstractKonfigurationInit {

  public MandantDokumentPlatzhalterKonfigurationInit() {
    super();
  }

  @Override
  protected Collection<Konfiguration> createDefaultParameters(KonfigurationInitContext konfigurationInitContext) {
    List<Konfiguration> result = new ArrayList<>();

    add(result, MandantKonfigurationWerte.DOKUMENT_PLATZHALTER_WAHLBEHOERRDE_GEBIETSNAME, "");
    add(result, MandantKonfigurationWerte.DOKUMENT_PLATZHALTER_WAHLBEHOERRDE_NAME, "");
    add(result, MandantKonfigurationWerte.DOKUMENT_PLATZHALTER_WAHLBEHOERRDE_POSTANSCHRIFT_STRASSE, "");
    add(result, MandantKonfigurationWerte.DOKUMENT_PLATZHALTER_WAHLBEHOERRDE_POSTANSCHRIFT_HAUSNUMMER, "");
    add(result, MandantKonfigurationWerte.DOKUMENT_PLATZHALTER_WAHLBEHOERRDE_POSTANSCHRIFT_POSTFACH, "");
    add(result, MandantKonfigurationWerte.DOKUMENT_PLATZHALTER_WAHLBEHOERRDE_POSTANSCHRIFT_PLZ, "");
    add(result, MandantKonfigurationWerte.DOKUMENT_PLATZHALTER_WAHLBEHOERRDE_POSTANSCHRIFT_ORT, "");

    add(result, MandantKonfigurationWerte.DOKUMENT_PLATZHALTER_WAHLBEHOERRDE_BESUCHANSCHRIFT_STRASSE, "");
    add(result, MandantKonfigurationWerte.DOKUMENT_PLATZHALTER_WAHLBEHOERRDE_BESUCHANSCHRIFT_HAUSNUMMER, "");
    add(result, MandantKonfigurationWerte.DOKUMENT_PLATZHALTER_WAHLBEHOERRDE_BESUCHANSCHRIFT_PLZ, "");
    add(result, MandantKonfigurationWerte.DOKUMENT_PLATZHALTER_WAHLBEHOERRDE_BESUCHANSCHRIFT_ORT, "");

    add(result, MandantKonfigurationWerte.DOKUMENT_PLATZHALTER_WAHLBEHOERRDE_WAHLLEITER_NAME, "");
    add(result, MandantKonfigurationWerte.DOKUMENT_PLATZHALTER_WAHLBEHOERRDE_SACHBEARBEITER_NAME, "");
    add(result, MandantKonfigurationWerte.DOKUMENT_PLATZHALTER_WAHLBEHOERRDE_SACHBEARBEITER_TELEFON, "");
    add(result, MandantKonfigurationWerte.DOKUMENT_PLATZHALTER_WAHLBEHOERRDE_SACHBEARBEITER_TELEFAX, "");
    add(result, MandantKonfigurationWerte.DOKUMENT_PLATZHALTER_WAHLBEHOERRDE_SACHBEARBEITER_EMAIL, "");

    add(result, MandantKonfigurationWerte.DOKUMENT_PLATZHALTER_BUNDESLAND_NAME, "");
    add(result, MandantKonfigurationWerte.DOKUMENT_PLATZHALTER_LANDKREIS_NAME, "");
    add(result, MandantKonfigurationWerte.DOKUMENT_PLATZHALTER_WAHLKREIS_NAME, "");
    add(result, MandantKonfigurationWerte.DOKUMENT_PLATZHALTER_WAHLKREIS_NUMMER, "");
    add(result, MandantKonfigurationWerte.DOKUMENT_PLATZHALTER_GEMEINDE_NAME, "");
    add(result, MandantKonfigurationWerte.DOKUMENT_PLATZHALTER_GEMEINDE_NUMMER, "");

    add(result, MandantKonfigurationWerte.DOKUMENT_PLATZHALTER_STIMMZETTEL_KANDIDATUR_NAMEN_FORMAT, "");
    add(result, MandantKonfigurationWerte.DOKUMENT_PLATZHALTER_STIMMZETTEL_KANDIDATUR_INFOTEXT_FORMAT, "");

    return result;
  }
}
